//IFOX$    JOB (SYS),'LOAD IFOX SRC',CLASS=S,MSGCLASS=X,COND=(0,NE)     00010000
//* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * 00020000
//* This job builds the MVS 3.8j assembler (usually referred to as the  00030000
//* XF assembler) from source prepared by Paul Gorlinsky. This job:     00040000
//*                                                                     00050000
//*     1: Reloads from Paul's tape to temporary datasets               00060000
//*     2: Assembles all objects                                        00070000
//*     3: Links to target library                                      00080000
//*                                                                     00090000
//* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * 00100000
//SOURCE  EXEC PGM=IEBUPDTE,REGION=1024K,PARM=NEW                       00110000
//SYSUT2   DD  DISP=(NEW,PASS),DSN=&&ISRC,                              00120000
//             UNIT=SYSDA,SPACE=(3120,(700,,2)),                        00130000
//             DCB=(RECFM=FB,LRECL=80,BLKSIZE=3120)                     00140000
//SYSPRINT DD  SYSOUT=*                                                 00150000
//SYSIN DD DSN=IFOX.SOURCE,UNIT=TAPE,VOL=SER=IFOX00,DISP=(OLD,PASS),    00160000
//           LABEL=(6,NL),DCB=(RECFM=FB,BLKSIZE=8000,LRECL=80)          00170000
//MACROS  EXEC PGM=IEBUPDTE,REGION=1024K,PARM=NEW                       00180000
//SYSUT2   DD  DISP=(NEW,PASS),DSN=&&IMAC,                              00190000
//             UNIT=SYSDA,SPACE=(3120,(300,,4)),                        00200000
//             DCB=(RECFM=FB,LRECL=80,BLKSIZE=3120)                     00210000
//SYSPRINT DD  SYSOUT=*                                                 00220000
//SYSIN DD DSN=IFOX.SOURCE,UNIT=TAPE,VOL=SER=IFOX00,DISP=OLD,           00230000
//           LABEL=(7,NL),DCB=(RECFM=FB,BLKSIZE=8000,LRECL=80)          00240000
//* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * 00250000
//ASMFC   PROC                                                          00260000
//ASM     EXEC PGM=IFOX00,REGION=2056K,                                 00270000
//             PARM='LOAD,NODECK,NOLIST,NOXREF,TERM'                    00280000
//SYSLIB   DD  DSN=SYS1.MACLIB,DISP=SHR                                 00290000
//         DD  DSN=&&IMAC,DISP=(OLD,PASS)                               00300000
//SYSUT1   DD  UNIT=SYSSQ,SPACE=(1700,(600,100))                        00310000
//SYSUT2   DD  UNIT=SYSSQ,SPACE=(1700,(300,50))                         00320000
//SYSUT3   DD  UNIT=SYSSQ,SPACE=(1700,(300,50))                         00330000
//SYSTERM  DD  SYSOUT=*,DCB=BLKSIZE=1089                                00340000
//SYSPRINT DD  DSN=NULLFILE,DCB=BLKSIZE=1089                            00350000
//SYSPUNCH DD  DSN=NULLFILE                                             00360000
//SYSIN    DD  DSN=&&ISRC(&MOD),DISP=(OLD,PASS)                         00370000
//SYSGO    DD  DSN=&&IOBJ(&MOD),DISP=(MOD,PASS)                         00380000
//        PEND                                                          00390000
//ALLOC   EXEC PGM=IEFBR14                                              00400000
//SYSGO    DD  DISP=(NEW,PASS),DSN=&&IOBJ,                              00410000
//             UNIT=SYSDA,SPACE=(80,(5000,500,5)),                      00420000
//             DCB=(DSORG=PO,RECFM=F,LRECL=80,BLKSIZE=80)               00430000
//IFOX0A  EXEC ASMFC,MOD='IFOX0A'                                       00440000
//IFOX0B  EXEC ASMFC,MOD='IFOX0B'                                       00450000
//IFOX0C  EXEC ASMFC,MOD='IFOX0C'                                       00460000
//IFOX0D  EXEC ASMFC,MOD='IFOX0D'                                       00470000
//IFOX0E  EXEC ASMFC,MOD='IFOX0E'                                       00480000
//IFOX0F  EXEC ASMFC,MOD='IFOX0F'                                       00490000
//IFOX0G  EXEC ASMFC,MOD='IFOX0G'                                       00500000
//IFOX0H  EXEC ASMFC,MOD='IFOX0H'                                       00510000
//IFOX0I  EXEC ASMFC,MOD='IFOX0I'                                       00520000
//IFOX0J  EXEC ASMFC,MOD='IFOX0J'                                       00530000
//IFNX1A  EXEC ASMFC,MOD='IFNX1A'                                       00540000
//IFNX1J  EXEC ASMFC,MOD='IFNX1J'                                       00550000
//IFNX1K  EXEC ASMFC,MOD='IFNX1K'                                       00560000
//IFNX1S  EXEC ASMFC,MOD='IFNX1S'                                       00570000
//IFNX2A  EXEC ASMFC,MOD='IFNX2A'                                       00580000
//IFNX3A  EXEC ASMFC,MOD='IFNX3A'                                       00590000
//IFNX3B  EXEC ASMFC,MOD='IFNX3B'                                       00600000
//IFNX3K  EXEC ASMFC,MOD='IFNX3K'                                       00610000
//IFNX3N  EXEC ASMFC,MOD='IFNX3N'                                       00620000
//IFNX4D  EXEC ASMFC,MOD='IFNX4D'                                       00630000
//IFNX4E  EXEC ASMFC,MOD='IFNX4E'                                       00640000
//IFNX4M  EXEC ASMFC,MOD='IFNX4M'                                       00650000
//IFNX4N  EXEC ASMFC,MOD='IFNX4N'                                       00660000
//IFNX4S  EXEC ASMFC,MOD='IFNX4S'                                       00670000
//IFNX4T  EXEC ASMFC,MOD='IFNX4T'                                       00680000
//IFNX4V  EXEC ASMFC,MOD='IFNX4V'                                       00690000
//IFNX5A  EXEC ASMFC,MOD='IFNX5A'                                       00700000
//IFNX5C  EXEC ASMFC,MOD='IFNX5C'                                       00710000
//IFNX5D  EXEC ASMFC,MOD='IFNX5D'                                       00720000
//IFNX5F  EXEC ASMFC,MOD='IFNX5F'                                       00730000
//IFNX5L  EXEC ASMFC,MOD='IFNX5L'                                       00740000
//IFNX5M  EXEC ASMFC,MOD='IFNX5M'                                       00750000
//IFNX5P  EXEC ASMFC,MOD='IFNX5P'                                       00760000
//IFNX5V  EXEC ASMFC,MOD='IFNX5V'                                       00770000
//IFNX6A  EXEC ASMFC,MOD='IFNX6A'                                       00780000
//IFNX6B  EXEC ASMFC,MOD='IFNX6B'                                       00790000
//IFNX6C  EXEC ASMFC,MOD='IFNX6C'                                       00800000
//* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * 00810000
//LINK    EXEC PGM=IEWL,REGION=512K,PARM='LET,LIST,XREF,NCAL'           00820000
//SYSPRINT DD  SYSOUT=*                                                 00830000
//SYSUT1   DD  SPACE=(CYL,(5,1)),UNIT=SYSDA                             00840000
//SYSLMOD  DD  DISP=MOD,DSN=SYS1.LINKLIB      <== TARGET LIBRARY        00850000
//OBJECTS  DD  DISP=(OLD,PASS),DSN=&&IOBJ                               00860000
//SYSLIN   DD  *                                                        00870000
  ENTRY IFOX0A01                                                        00880000
  ALIAS IEUASM                                                          00890000
  ALIAS ASMBLR                                                          00900000
  INCLUDE OBJECTS(IFOX0A)                                               00910000
  INCLUDE OBJECTS(IFOX0B)                                               00920000
  NAME IFOX00(R)                                                        00930000
  ENTRY IFOX0C01                                                        00940000
  INCLUDE OBJECTS(IFOX0C)                                               00950000
  NAME IFOX01(R)                                                        00960000
  ENTRY IFOX0D01                                                        00970000
  INCLUDE OBJECTS(IFOX0D)                                               00980000
  INCLUDE OBJECTS(IFOX0J)                                               00990000
  NAME IFOX02(R)                                                        01000000
  ENTRY IFOX0E01                                                        01010000
  INCLUDE OBJECTS(IFOX0E)                                               01020000
  NAME IFOX03(R)                                                        01030000
  ENTRY IFOX0F01                                                        01040000
  INCLUDE OBJECTS(IFOX0F)                                               01050000
  NAME IFOX04(R)                                                        01060000
  ENTRY IFOX0G01                                                        01070000
  INCLUDE OBJECTS(IFOX0G)                                               01080000
  NAME IFOX05(R)                                                        01090000
  ENTRY IFOX0H01                                                        01100000
  INCLUDE OBJECTS(IFOX0H)                                               01110000
  NAME IFOX06(R)                                                        01120000
  ENTRY IFOX0I01                                                        01130000
  INCLUDE OBJECTS(IFOX0I)                                               01140000
  NAME IFOX07(R)                                                        01150000
  ENTRY IFNX1A01                                                        01160000
  INCLUDE OBJECTS(IFNX1A)                                               01170000
  INCLUDE OBJECTS(IFNX1J)                                               01180000
  INCLUDE OBJECTS(IFNX1K)                                               01190000
  INCLUDE OBJECTS(IFNX1S)                                               01200000
  NAME IFOX11(R)                                                        01210000
  ENTRY IFNX2A01                                                        01220000
  INCLUDE OBJECTS(IFNX2A)                                               01230000
  NAME IFOX21(R)                                                        01240000
  ENTRY IFNX3A01                                                        01250000
  INCLUDE OBJECTS(IFNX3A)                                               01260000
  INCLUDE OBJECTS(IFNX3B)                                               01270000
  INCLUDE OBJECTS(IFNX3K)                                               01280000
  INCLUDE OBJECTS(IFNX3N)                                               01290000
  NAME IFOX31(R)                                                        01300000
  ENTRY IFNX4M01                                                        01310000
  INCLUDE OBJECTS(IFNX4M)                                               01320000
  INCLUDE OBJECTS(IFNX4D)                                               01330000
  INCLUDE OBJECTS(IFNX4E)                                               01340000
  INCLUDE OBJECTS(IFNX4M)                                               01350000
  INCLUDE OBJECTS(IFNX4S)                                               01360000
  INCLUDE OBJECTS(IFNX4V)                                               01370000
  NAME IFOX41(R)                                                        01380000
  ENTRY IFNX4T01                                                        01390000
  INCLUDE OBJECTS(IFNX4T)                                               01400000
  INCLUDE OBJECTS(IFNX4E)                                               01410000
  INCLUDE OBJECTS(IFNX4N)                                               01420000
  INCLUDE OBJECTS(IFNX4S)                                               01430000
  INCLUDE OBJECTS(IFNX4T)                                               01440000
  INCLUDE OBJECTS(IFNX4V)                                               01450000
  NAME IFOX42(R)                                                        01460000
  ENTRY IFNX5C01                                                        01470000
  INCLUDE OBJECTS(IFNX5C)                                               01480000
  INCLUDE OBJECTS(IFNX5A)                                               01490000
  INCLUDE OBJECTS(IFNX5D)                                               01500000
  INCLUDE OBJECTS(IFNX5F)                                               01510000
  INCLUDE OBJECTS(IFNX5L)                                               01520000
  INCLUDE OBJECTS(IFNX5M)                                               01530000
  INCLUDE OBJECTS(IFNX5P)                                               01540000
  INCLUDE OBJECTS(IFNX5V)                                               01550000
  NAME IFOX51(R)                                                        01560000
  ENTRY IFNX6A01                                                        01570000
  INCLUDE OBJECTS(IFNX6A)                                               01580000
  NAME IFOX61(R)                                                        01590000
  ENTRY IFNX6B01                                                        01600000
  INCLUDE OBJECTS(IFNX6B)                                               01610000
  INCLUDE OBJECTS(IFNX6C)                                               01620000
  NAME IFOX62(R)                                                        01630000
//                                                                      01640000
